SQLITE3_SYSTEM_ERRNO(3) | Library Functions Manual | SQLITE3_SYSTEM_ERRNO(3)

# NAME

`sqlite3_system_errno` —
Low-level system error code

# SYNOPSIS

int
`sqlite3_system_errno`(sqlite3*);

# DESCRIPTION

Attempt to return the underlying operating system error code or error number that caused the most recent I/O error or failure to open a file. The return value is OS-dependent. For example, on unix systems, after sqlite3_open_v2() returns SQLITE_CANTOPEN, this interface could be called to get back the underlying "errno" that caused the problem, such as ENOSPC, EAUTH, EISDIR, and so forth.

# SEE ALSO

sqlite3_open(3), SQLITE_OK(3)

December 19, 2018 | NetBSD 9.5